Package de.willuhn.jameica.hbci.server

# Class AddressbookHibiscusImpl

java.lang.Object
java.rmi.server.RemoteObject
java.rmi.server.RemoteServer
java.rmi.server.UnicastRemoteObject
de.willuhn.jameica.hbci.server.AddressbookHibiscusImpl

All Implemented Interfaces:
  `Addressbook`, `Serializable`, `Remote`

public class AddressbookHibiscusImpl extends UnicastRemoteObject implements Addressbook
Implementierung des Hibiscus-Adressbuches.

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`class`
`AddressbookHibiscusImpl.KontoAddress`
Hilfsklasse, um ein Konto in ein Address-Interface zu packen

## Field Summary

### Fields inherited from class java.rmi.server.RemoteObject

`ref`

## Constructor Summary

Constructors
Constructor
Description
`AddressbookHibiscusImpl()`
ct.

## Method Summary

Modifier and Type
Method
Description
`Address`
`contains(Address address)`
Prueft, ob im Adressbuch eine Adresse mit diesen Eigenschaften enthalten ist.
`List`
`findAddresses(String text)`
Sucht nach Adressen und liefert die gefundenen zurueck.
`String`
`getName()`
Liefert einen sprechenden Namen fuer das Adressbuch.

### Methods inherited from class java.rmi.server.UnicastRemoteObject

`clone, exportObject, exportObject, exportObject, exportObject, exportObject, unexportObject`

### Methods inherited from class java.rmi.server.RemoteServer

`getClientHost, getLog, setLog`

### Methods inherited from class java.rmi.server.RemoteObject

`equals, getRef, hashCode, toString, toStub`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AddressbookHibiscusImpl

public AddressbookHibiscusImpl() throws RemoteException
ct.

Throws:
  `RemoteException`

## Method Details

### contains

public Address contains(Address address) throws RemoteException
Description copied from interface: `Addressbook`
Prueft, ob im Adressbuch eine Adresse mit diesen Eigenschaften enthalten ist.

Specified by:
  `contains` in interface `Addressbook`
Parameters:
  `address` - die gesuchte Adresse.
Returns:
  die Adresse mit den gleichen Eigenschaften aus dem Adressbuch oder `null`.
Throws:
  `RemoteException`
See Also:
  - `Addressbook.contains(de.willuhn.jameica.hbci.rmi.Address)`

### findAddresses

public List findAddresses(String text) throws RemoteException
Description copied from interface: `Addressbook`
Sucht nach Adressen und liefert die gefundenen zurueck. Es ist der jeweiligen Implementierung des Adressbuches ueberlassen, in welchen Feldern/Attributen der Adressdaten sie nach dem uebergebenen Text sucht. Wird kein Text uebergeben, kann das Adressbuch selbst entscheiden, ob es alle Adressen zurueckliefert oder gar keine.

Specified by:
  `findAddresses` in interface `Addressbook`
Parameters:
  `text` - der Suchtext.
Returns:
  Liste der gefundenen Adressen. Die Objekte der Liste muessen vom Typ `Address` sein. Die Funktion darf auch `null` zurueckliefern, wenn keine Adressen gefunden wurden.
Throws:
  `RemoteException`
See Also:
  - `Addressbook.findAddresses(java.lang.String)`

### getName

public String getName() throws RemoteException
Description copied from interface: `Addressbook`
Liefert einen sprechenden Namen fuer das Adressbuch.

Specified by:
  `getName` in interface `Addressbook`
Returns:
  Name des Adressbuches.
Throws:
  `RemoteException`
See Also:
  - `Addressbook.getName()`